SECTION = "kernel"
LICENSE = "GPL"
KV = "2.4.21"
RMKV = "2"
PXAV = "1"
DESCRIPTION = "Linux kernel for MNCI device"

SRC_URI = "ftp://ftp.kernel.org/pub/linux/kernel/v2.4/linux-${KV}.tar.bz2 \
	   ftp://ftp.arm.linux.org.uk/pub/armlinux/source/kernel-patches/v2.4/patch-${KV}-rmk${RMKV}.gz;patch=1 \
	   ftp://source.mvista.com/pub/xscale/pxa/diff-${KV}-rmk${RMKV}-pxa${PXAV}.gz;patch=1 \
	   file://linux-vtcomparison.patch;patch=1		\
           file://linux-iw241_we16-6.patch;patch=1		\
           file://linux-mkdep.patch;patch=1			\
           file://arm-noshortloads.patch;patch=1		\
           file://arm-tiocmmodembits.patch;patch=1		\
           file://pxa-pcmcia.patch;patch=1			\
           file://pxa-smc91x.patch;patch=1			\
           file://pxa-usb.patch;patch=1			\
           file://pxa-usbeth.patch;patch=1			\
           file://pxa-irda.patch;patch=1			\
           file://pxa-ac97.patch;patch=1			\
           file://pxa-timerint.patch;patch=1		\
           file://fb-buffered.patch;patch=1			\
           file://fb-turn180.patch;patch=1			\
           file://i2c-ds1337.patch;patch=1			\
           file://keyb-input.patch;patch=1			\
           file://keyb-module.patch;patch=1			\
           file://logo-noscrollregion.patch;patch=1		\
           file://net-dhcp-timeout.patch;patch=1		\
           file://pm.patch;patch=1				\
           file://swap-performance.patch.patch;patch=1	\
           file://small-nocramdisk.patch;patch=1		\
           file://smc91x-ethtool.patch;patch=1		\
           file://ucb1x00.patch;patch=1			\
           file://vmalloc.patch;patch=1			\
           file://orinoco-cvs.patch;patch=1			\
           file://usb-sl811.patch;patch=1			\
           file://ramses.patch;patch=1			\
           file://ramses-ac97.patch;patch=1			\
           file://ramses-keyb.patch;patch=1			\
           file://ramses-mtd.patch;patch=1			\
           file://ramses-orinoco-ignorecis.patch;patch=1	\
           file://ramses-pcmcia.patch;patch=1		\
           file://ramses-serial.patch;patch=1		\
           file://ramses-smc91x.patch;patch=1		\
           file://ramses-sysctl.patch;patch=1		\
           file://ramses-ucb1x00-dejitter.patch;patch=1	\
           file://ramses-lcd.patch;patch=1			\
           file://ramses-usb.patch;patch=1			\
           file://wedge.patch;patch=1"

S = "${WORKDIR}/linux-${KV}"

inherit kernel

KERNEL_CCSUFFIX = "-3.3.3"
KERNEL_IMAGETYPE = "zImage"

do_configure_prepend() {
	install -m 0644 ${S}/arch/arm/def-configs/${MACHINE} ${S}/.config || die "No default configuration for ${MACHINE} available."
}
